import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMLernabschnitt extends JavaObject {
    id: number;
    pruefungsordnung: String | null;
    lernbereich1note: String | null;
    lernbereich2note: String | null;
    foerderschwerpunkt1: String | null;
    foerderschwerpunkt2: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMLernabschnitt;
    static transpilerToJSON(obj: ENMLernabschnitt): string;
    static transpilerToJSONPatch(obj: Partial<ENMLernabschnitt>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMLernabschnitt(obj: unknown): ENMLernabschnitt;
